Fulcrum Android - Froyo End of Support

03 April 2014 by Jonathan Baker

We here at Fulcrum are always looking for ways to push the boundaries of mobile data collection in the field. Whether it is a new type of form field or just simple workflow improvements, we strive to make sure you have the best tools to work with. Unfortunately, sometimes this innovation hits a technical roadblock. This time, that roadblock is Android 2.2, also known as Froyo.

We’ve been proud to say that our Fulcrum for Android client has supported Froyo since the beginning. Our goal was to support as many different consumer grade devices as possible. When we first started development of Fulcrum for Android in March of 2012, Froyo had a considerable market share that couldn’t be ignored. However, as of April 1, 2014, Froyo has declined to only 1.1% of the total Android device market.

Supporting a platform as old as Froyo has its costs on development time and puts a finite limit on features an application can have. Unfortunately for this reason, the time has come when we will no longer be able to support Fulcrum on devices running Android 2.2.

Starting with the next major version of Fulcrum for Android, the minimum required Android version will be 2.3.3, also known as Gingerbread. Using older versions of our client on devices running less than Android 2.3.3 will no longer be supported.

Android Gingerbread was released in February of 2011 and raises the ceiling of capabilities a little bit higher so we can continue to develop great new features for our Fulcrum client.

About the author

Jonathan worked as a mobile software developer, handling our Android and iOS applications.

comments powered by Disqus

Sign Up Today & Start Collecting Data In Just Minutes!

Start Your FREE Trial